<?php
/**
 * @package     Joomla.Site
 * @subpackage  reBase - reDim Template
 * @copyright   Copyright (C) reDim GmbH. All rights reserved.
 * @license     Copyright (C) reDim GmbH. All rights reserved.
 */
defined('_JEXEC') or die;

$pagewidth=$this->params->get("pagewidth","");
if(empty($pagewidth)){
    $this->params->set("pagewidth","980px");
}
// GET TEMPLATE PARAMS
$params = JFactory::getApplication()->getTemplate(true)->params;
$app = JFactory::getApplication();
$document = JFactory::getDocument();

// LOAD BOOTSTRAP
JHtml::_('bootstrap.framework');
JHtml::_('jquery.framework');
#JHtml::_('jquery.ui');
JHtml::_('bootstrap.loadCss', true, $this->direction);
include_once(JPATH_SITE.DIRECTORY_SEPARATOR."templates".DIRECTORY_SEPARATOR.$this->template.DIRECTORY_SEPARATOR."redim_templatehelper.php");


$document->addStyleSheet( '/media/system/css/system.css' );
$document->addStyleSheet( $this->baseurl.'/templates/'.$this->template.'/css/basics.css' );

$document->addStyleSheet(  $this->baseurl.'?css=bootstrap-overwrite;template;mainmenu;responsive;template-overwrite');


$document->addScript('/templates/'.$this->template.'/js/jquery.hoverIntent.minified.js');
$document->addScript('/media/system/js/html5fallback.js');
$document->addScript('/templates/'.$this->template.'/js/functions.js');

if($this->params->get('stickymenu')== 1) { $document->addScript($this->baseurl.'/templates/'.$this->template.'/js/jquery.sticky.js'); }

$logo=$this->params->get('logoselect',$this->baseurl.'/templates/'.$this->template.'/images/logo.png');
?><!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>">
<head>
    <?php if ($this->params->get('googlefont_name')!="") { ?>
    <link href="//fonts.googleapis.com/css?family=<?php echo $this->params->get('googlefont_name'); ?>" rel="stylesheet" type="text/css">
    <?php } ?>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no" />
    <!--<meta name="HandheldFriendly" content="true" />-->
    <meta name="apple-mobile-web-app-capable" content="YES" />
    <jdoc:include type="head" />
</head>
<body>
<div id="mainwrap" class="container-fluid">
<div class="row-fluid maxwidth" id="headbar">
<?php if(count($app->getMessageQueue())) {?>
<jdoc:include type="message" />
<?php } ?>
      <div id="componentspan" class="span12 component">
        <jdoc:include type="modules" name="before-content" style="custom" />             
        <jdoc:include type="component" />
        <jdoc:include type="modules" name="after-content" style="custom" />
        <div class="clear0"></div>
      </div>
</div>
</div>
</body>
</html>
