<?php
/**
 * @package     Joomla.Site
 * @subpackage  reBase - reDim Template
 * @copyright   Copyright (C) reDim GmbH. All rights reserved.
 * @license     Copyright (C) reDim GmbH. All rights reserved.
 */ 
defined('_JEXEC') or die;


include_once(__DIR__."/../redim_templatehelper.php");


// SPANMODULES
function modChrome_span($module, &$params, &$attribs){
    redim_templatehelper::modChrome_span($module, $params, $attribs);
}

// BLANKMODULES
function modChrome_blank($module, &$params, &$attribs){
		$headerLevel = isset($attribs['headerLevel']) ? (int) $attribs['headerLevel'] : 3;
		echo '<div class="module'. htmlspecialchars($params->get('moduleclass_sfx')).'">'."\n";		
		if ($module->showtitle) { echo '<h'.$headerLevel.'>'. $module->title .'</h'.$headerLevel.'>'."\n";}
		echo $module->content.'</div>'."\n";
}


function modChrome_nav($module, &$params, &$attribs){

	if(empty( $module->content)) {
		return ;
	}
	
	$headerLevel = isset($attribs['headerLevel']) ? (int) $attribs['headerLevel'] : 3;

	if(isset($attribs['mobilemenu'])) {
		$mobile=(int) $attribs['mobilemenu'];
	}else{
		$mobile=0;
	}

	if($mobile==1){
		$document = JFactory::getDocument();
		$document->addScript('/templates/rebase/js/bootstrap-collapse.js'); 
		#$document->addStyleSheet( '/templates/rebase/css/mobilemenu.css' );
		#'. htmlspecialchars($params->get('moduleclass_sfx')).'
		echo '<div class="navbar">';
		echo '<button class="btn btn-navbar collapsed" data-target=".nav-collapse" data-toggle="collapse" type="button">
		<span class="icon-bar"></span>
		<span class="icon-bar"></span>
		<span class="icon-bar"></span>
		</button>
		<div class="nav-collapse collapse">';
		echo $module->content;
		echo '</div></div>';
		
	}else{
		
		echo '<div class="'.trim( htmlspecialchars($params->get('moduleclass_sfx'))).'">'."\n";		
		echo $module->content.'</div>'."\n";
		
	}
}

// CUSTOM: box, filled, graybar
function modChrome_custom($module, &$params, &$attribs)
{
    if (trim($module->content)!=""){
		echo '<div id="module-'.$module->id.'" class="module '.$params->get('moduleclass_sfx',"default").'">';
		if ($module->showtitle){echo '<h3 class="modulheadline">'.$module->title.'</h3>';}
		echo '<div class="module_inner">'.$module->content.'</div>';
		echo '<div class="clear0">&nbsp;</div></div>';
	}

}

// SLIDES
function modChrome_modslides($module, &$params, &$attribs){
    redim_templatehelper::modChrome_modslides($module, $params, $attribs);
}


// POPUP
function modChrome_popup($module, &$params, &$attribs) {
    
    $session = JFactory::getSession();	
    $app	= JFactory::getApplication();
    $sp = $app->getTemplate(true)->params->get("sessionpopup",0);
    
    $name="popup-mod-".$module->id;
    
    if($sp==1){
        $temp=(int) $session->get($name,0,"redim"); 
    }else{
        $temp=0;
    }
    
    if(JRequest::getINT("popup")==1){
        $temp=0;
    }
     
       
    if (!empty($module->content) AND $temp==0){
    
    if($sp==1){
        $session->set($name,1,"redim"); 
    }
    
    echo '<div id="'.$name.'" class="tmplmodal modal hide fade">';
      
   	if ($module->showtitle){ echo '<div class="modal-header"><h3>'.$module->title.'</h3></div>';}
    
    echo '<div class="modal-body">'.$module->content.'</div>';
    
    echo '<div class="modal-footer"><button type="button" class="btn btn-primary" data-dismiss="modal" aria-hidden="true">'.JText::_("JLIB_HTML_BEHAVIOR_CLOSE").'</button></div>';

    echo '</div>';

    	
	}
}
