<?php
/**
 * @package     Joomla.Site
 * @subpackage  reBase - reDim Template
 * @copyright   Copyright (C) reDim GmbH. All rights reserved.
 * @license     Copyright (C) reDim GmbH. All rights reserved.
 */
 
// NO ACCESS
defined('_JEXEC') or die;


// GET TEMPLATE PARAMS
$params = JFactory::getApplication()->getTemplate(true)->params;
$app = JFactory::getApplication();
$document = JFactory::getDocument();


// GET SESSION
$session = JFactory::getSession();

// LOAD BOOTSTRAP
JHtml::_('bootstrap.framework');
JHtml::_('jquery.framework');
#JHtml::_('jquery.ui');
JHtml::_('bootstrap.loadCss', true, $this->direction);
    
// LOAD REDIM TEMPLATEHELPER
include_once(JPATH_SITE.DIRECTORY_SEPARATOR."templates".DIRECTORY_SEPARATOR.$this->template.DIRECTORY_SEPARATOR."redim_templatehelper.php");
$css=JRequest::getString("css","");

redim_templatehelper::set_template_default_params();

if(!empty($css)){        
    header("Content-Type: text/css; charset: UTF-8");
    header('Cache-Control: max-age=28800');
    $pw = (int) $this->params->get("pagewidth","")+70;
    $this->params->set("pagewidth2",($pw)."px");    
    echo redim_templatehelper::get_style($this,$css);
    die();
}

$mobilemenu=(int) $this->params->get('mobilemenu',0);

// REDIM SPAN SYSTEM
$modleft=0; $modright=0; $component=12;
if($this->countModules('left')>0){
    $modleft+=3; $component-=3;
}
if($this->countModules('right')>0){
    $modright+=3; $component-=3;
}

$document->addStyleSheet( '/media/system/css/system.css' );
$document->addStyleSheet( $this->baseurl.'/templates/'.$this->template.'/css/basics.css' );

if ($this->countModules('slideshow')>0) { 
    $document->addStyleSheet( $this->baseurl.'/templates/'.$this->template.'/css/flexslider.css');    
    $document->addScript($this->baseurl.'/templates/'.$this->template.'/js/jquery.flexslider.js');    
    $document->addScriptDeclaration("
     jQuery(document).ready(function($) {	
        $('.flexslider').flexslider({
    	animation: '". $this->params->get('slideshowanimation',"slide")."',		
    	slideshowSpeed: ".(int) $this->params->get('slideshowspeed',"5000").",
    	animationSpeed: ".(int) $this->params->get('slideshowanimationspeed',"1200").",
    	controlNav: true,prevText: '',nextText: '', pauseOnHover: true,	directionNav: true
    	});
      });
    ");
}

$document->addStyleSheet(  $this->baseurl.'?css=bootstrap-overwrite;template;mainmenu;responsive;template-overwrite');

#redim_templatehelper::change_script('/media/jui/js/jquery.ui.core.min.js','/templates/'.$this->template.'/js/jquery-ui-1.9.2.custom.min.js');
#$document->addScript('/templates/'.$this->template.'/js/jquery-ui-1.9.2.custom.min.js');

$document->addScript( $this->baseurl.'/templates/'.$this->template.'/js/jquery.hoverIntent.minified.js');
$document->addScript( $this->baseurl.'/media/system/js/html5fallback.js');
$document->addScript( $this->baseurl.'/templates/'.$this->template.'/js/functions.js');

if($this->params->get('stickymenu')== 1) { $document->addScript($this->baseurl.'/templates/'.$this->template.'/js/jquery.sticky.js'); }

$logo=str_replace("//","/",$this->baseurl."/".$this->params->get('logoselect','/templates/'.$this->template.'/images/logo.png'));

?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>">
<head>
<?php if ($this->params->get('googlefont_name')!="") { ?>
<link href="//fonts.googleapis.com/css?family=<?php echo $this->params->get('googlefont_name'); ?>" rel="stylesheet" type="text/css">
<?php } ?>
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no" />
<!--<meta name="HandheldFriendly" content="true" />-->
<meta name="apple-mobile-web-app-capable" content="YES" />
<jdoc:include type="head" />
</head>
<body>
<div id="mainwrap" class="container-fluid">
  <?php if(count($app->getMessageQueue())) {?>
  <jdoc:include type="message" />
  <?php } ?>
  <div class="row-fluid" id="headbar">
    <div class="span12 response">
      <div class="maxwidth">
        <div class="span4" id="head_left"> <a href="/" title="<?php echo $app->getCfg('sitename'); ?>"><img id="logo" src="<?php echo $logo; ?>" alt="<?php echo $app->getCfg('sitename'); ?>" /></a> </div>
        <?php if ($this->countModules('head-right')>0 or $this->countModules('position-0')>0) { ?>
        <div id="head_right" class="span8">
          <jdoc:include type="modules" name="head-right" style="none"/>
          <jdoc:include type="modules" name="position-0" style="none" />
        </div>
        <?php } ?>
      </div>
    </div>
    <div class="clear0"></div>
  </div>
  <?php if ($this->countModules('position-1')>0 or $this->countModules('mainmenu')>0) { ?>
  <div class="row-fluid" id="menubar">
    <?php if ($this->params->get('menulogo')== 1) {  ?>
    <div id="menulogo_wrapper"> <a href="/" title="<?php echo $app->getCfg('sitename'); ?>"> <img id="menulogo" class="scrollfade" src="<?php echo $logo; ?>" alt="<?php echo $app->getCfg('sitename'); ?>" /> </a> </div>
    <?php } ?>
    <div id="menubar_inner" class="response maxwidth">
      <div class="span12" id="mainmenu">
        <nav>
          <jdoc:include type="modules" name="position-1" mobilemenu="<?PHP echo $mobilemenu; ?>" style="nav" />
          <jdoc:include type="modules" name="mainmenu" mobilemenu="<?PHP echo $mobilemenu; ?>" style="nav" />
        </nav>
      </div>
    </div>
    <div class="clear0"></div>
  </div>
  <?php } ?>
  <?php if ($this->countModules('slideshow')>0) { ?>
  <div id="sliderow" class="row-fluid">
    <div class="span12">
      <div class="flexslider">
        <ul class="slides">
          <jdoc:include type="modules" name="slideshow" style="modslides" />
        </ul>
      </div>
    </div>
    <div class="clear0"></div>
  </div>
  <?php } ?>
  <?php #TEASERS
 if ($this->countModules('teasers')>0) { ?>
  <div id="teaserboxes" class="row-fluid">
    <div class="rowinner maxwidth">
      <jdoc:include type="modules" name="teasers" style="span" count="<?PHP echo $this->countModules('teasers'); ?>" />
      <div class="clear0"></div>
    </div>
  </div>
  <?php } ?>
  <?php if ($this->countModules('position-2')>0 or $this->countModules('outside-before-content')>0) { ?>
  <div id="outside_before_content" class="row-fluid maxwidth">
    <div class="span12 response">
      <jdoc:include type="modules" name="outside-before-content" style="custom"/>
      <jdoc:include type="modules" name="position-2" style="custom" />
    </div>
    <div class="clear0"></div>
  </div>
  <?php } ?>
  <div id="component" class="row-fluid maxwidth">

    <div class="response">
      <?PHP if($modleft>0){ ?>
      <div id="left" class="span<?PHP echo $modleft?>">
        <aside>
          <jdoc:include type="modules" name="left" style="custom" />
        </aside>
        <div class="clear0"></div>
      </div>
      <?PHP } ?>
      <div id="componentspan" class="span<?PHP echo $component; ?> component">
        <jdoc:include type="modules" name="before-content" style="custom" />
        <jdoc:include type="component" />
        <jdoc:include type="modules" name="after-content" style="custom" />
        <div class="clear0"></div>
      </div>
      <?PHP if($modright>0){ ?>
      <div id="right" class="span<?PHP echo $modright?>">
        <aside>
          <jdoc:include type="modules" name="right" style="custom" />
        </aside>
        <div class="clear0"></div>
      </div>
      <?PHP } ?>
      <div class="clear0"></div>
    </div>
  </div>
  <?php if ($this->countModules('outside-after-content')>0) { ?>
  <div id="outside_after_content" class="row-fluid maxwidth">
    <div class="span12 response">
      <jdoc:include type="modules" name="outside-after-content" style="custom"/>
    </div>
    <div class="clear0"></div>
  </div>
  <?php } ?>
  <div id="footerwrap">
    <?php if ($this->countModules('footerspans')>0) { ?>
    <div class="row-fluid" id="footerspans">
      <div class="span12">
        <div class="maxwidth rowinner">
          <jdoc:include type="modules" name="footerspans" style="span" count="<?PHP echo $this->countModules('footerspans'); ?>" />
          <div class="clear0"></div>
        </div>
      </div>
    </div>
    <?php } ?>
    <div id="footer" class="row-fluid">
      <div class="span12">
        <div id="footer_inner" class="maxwidth">
          <?php if ($this->params->get('facebooklink')!="" or $this->params->get('twitterlink')!="" or $this->params->get('googlelink')!="") { ?>
          <div id="socialicons_footer">
            <?php if ($this->params->get('facebooklink')!="") { ?>
            <a href="<?php echo $this->params->get('facebooklink'); ?>" rel="nofollow" target="_blank"><img alt="Facebook" class="hovertrans" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/images/socialicon_facebook_40.png"/></a>
            <?php } ?>
            <?php if ($this->params->get('twitterlink')!="") { ?>
            <a href="<?php echo $this->params->get('twitterlink'); ?>" rel="nofollow" target="_blank"><img alt="Twitter" class="hovertrans" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/images/socialicon_twitter_40.png"/></a>
            <?php } ?>
            <?php if ($this->params->get('googlelink')!="") { ?>
            <a href="<?php echo $this->params->get('googlelink'); ?>" rel="nofollow" target="_blank"><img alt="Googleplus" class="hovertrans" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/images/socialicon_googleplus_40.png"/></a>
            <?php } ?>
          </div>
          <?php } ?>
          <?php if ($this->countModules('copyright')>0) { ?>
          <div id="copyrow">
            <jdoc:include type="modules" name="copyright" style="none" />
          </div>
          <?php } 
		elseif($this->params->get('backlink')== 1) { ?>
          <div id="copyrow"> <?php echo $app->getCfg('sitename');?> &copy; <?php echo date('Y');?>. All Rights reserved. | <?PHP  echo redim_templatehelper::sblam($this); ?> </div>
          <?php } ?>
        </div>
        <div class="clear0"></div>
      </div>
    </div>
    <?php if ($this->countModules('footer')>0) { ?>
    <div id="afterpage" class="row-fluid">
      <div class="span12">
        <div id="afterpage_inner" class="maxwidth">
          <jdoc:include type="modules" name="footer" style="none"/>
        </div>
        <div class="clear0"></div>
      </div>
    </div>
    <?php } ?>
  </div>
</div>

<!-- POPUP -->
<?php if ($this->countModules('popup')>0){ ?>
<jdoc:include type="modules" name="popup" style="popup" />
<script type="text/javascript">
    jQuery(document).ready(function($) {
            $('.tmplmodal').modal('show');
        });
  </script>
<?php } ?>

<!-- TOPSCROLLER --> 
<a href="#mainwrap" class="scrollfade" id="topscroller">&nbsp;</a>
<?php
// ADDTHIS SMART LAYERS
if ($this->params->get('smartlayers')== 1) { 
include('js/addthis_smart-layers.php');
} ?>
<jdoc:include type="modules" name="page" style="none"/>
<jdoc:include type="modules" name="debug" style="none" />
</body>
</html>